Bug 215434 - NM does not set default router (via dhcp) while connection without NM does
NM does not set default router (via dhcp) while connection without NM does
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 17:34 EST by Jacek Chrząszcz
Modified: 2008-05-06 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 341439 None None None Never

  None (edit)
Description Jacek Chrząszcz 2006-11-13 17:34:06 EST
Description of problem:
I am using FC6. After plugging in the RJ45 plug of my faculty network,
NetworkManager says "wired connection established", but the routing table is
not properly set and the gateway is not visible.

Setting up the network via dhcp without NM works.

The network setup is somewhat strange, i.e. the gateway is outside of the local
network (address 10.1.6.26, netmask 255.255.255.0, broadcast 10.1.2.255, gateway
10.1.2.31), but without NM it works very well :)

Version-Release number of selected component (if applicable):
NetworkManager-0.6.4-5.fc6
dhcdbd-2.1-1.fc6
dhclient-3.0.4-21.fc6
initscripts-8.45.5-1

How reproducible:
connect to my faculty network :)

Steps to Reproduce:
1. start NM
2. connect eth cable
3. wait for "wired connection established"
4. ping 72.14.221.99
5. route -n

Actual results:
connect: Network is unreachable

Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.1.6.0        0.0.0.0         255.255.255.0   U     0      0        0 eth0

Expected results:
PING 72.14.221.99 (72.14.221.99) 56(84) bytes of data.
64 bytes from 72.14.221.99: icmp_seq=1 ttl=238 time=37.8 ms

Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.1.2.31       0.0.0.0         255.255.255.255 UH    0      0        0 eth0
10.1.6.0        0.0.0.0         255.255.255.0   U     0      0        0 eth0
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 eth0
0.0.0.0         10.1.2.31       0.0.0.0         UG    0      0        0 eth0

Additional info:

Part of my /var/log/messages, while doing connection with NM.
Nov 13 17:01:09 minio NetworkManager: <information>     Retrieved the following
IP4 configuration from the DHCP daemon: 
Nov 13 17:01:09 minio NetworkManager: <information>       address 10.1.6.26 
Nov 13 17:01:09 minio NetworkManager: <information>       netmask 255.255.255.0 
Nov 13 17:01:09 minio NetworkManager: <information>       broadcast 10.1.2.255 
Nov 13 17:01:09 minio NetworkManager: <information>       gateway 10.1.2.31 
Nov 13 17:01:09 minio NetworkManager: <information>       nameserver 10.1.3.1 
Nov 13 17:01:09 minio NetworkManager: <information>       nameserver 10.1.2.9 
Nov 13 17:01:09 minio NetworkManager: <information>       domain name
'mimuw.edu.pl' 


I filed this bug to the NM gnome bugzilla (a few months ago, back in the times
of FC5 ;) but it was not handled. May-be you would know better who to send it to
 (dhcdbd folks?)

Bests

Jacek
Comment 1 Bug Zapper 2008-04-04 00:40:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:48:52 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.